import store from '@/store/index';
import account from './account';

export default {
  install() {
    if (store.state.system && store.state.system.account) return;
    store.registerModule(['system'], {
      namespaced: true,
    });
    store.registerModule(['system', 'account'], account);
  },
  uninstall() {
    store.unregisterModule(['system', 'account']);
  },
};
